@CHARSET "UTF-8";

#tlsb-container {
}

/*****************************************
 * Configurações gerais da barra lateral:
 *****************************************/

#tlsb-sidebar {
	position: absolute;
	top: 0; 
    bottom: 0;	
	font-family: rci-font;
	color: #AAAAAA;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;	
}

#tlsb-sidebar ul {
	list-style: none;
    line-height: 40px;
	text-indent: 15px;
    margin: 5px 0 0 0;
    padding: 0;
	overflow: hidden;	
    white-space: nowrap;
}

/* Em modo mobile, o estilo menu-hidden garante que o menu lateral
   seja completamento ocultado. */

@media(max-width:768px) { 
	#tlsb-sidebar.menu-hidden {
		margin-left: -255px;
	    -webkit-transition: all 0.5s ease;
	    -moz-transition: all 0.5s ease;
	    -o-transition: all 0.5s ease;
	    transition: all 0.5s ease;	
	}
}

/**********************************
 * Barra de menu de primeiro nível
 **********************************/

#tlsb-sidebar-one {
	position: absolute;
	top: 50px;
	bottom: 0;
	left: 0;
	z-index: 21;
	width: 255px;
	background-color: #333333;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

/* O estilo collapsed garante que apenas o ícones do menu primário
   permaneçam visíveis: */
   
#tlsb-sidebar-one.collapsed {
	width: 50px;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;	
}

/**********************************
 * Barra de menu de segundo nível
 **********************************/

#tlsb-sidebar-two {
	position: absolute;
	top: 50px;
	bottom: 0;
	left: 0;
	z-index: 20;
	margin-left: 0;
	width: 255px;
	background-color: #eeeeee;
	border-left: #ee3538 52px solid; 
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;	
}

/* Em modo Desktop, o estilo collapsed garante que apenas o ícones
   do menu secundário permaneçam visíveis: */

@media(min-width:768px) {
	#tlsb-sidebar-two.collapsed {
		width: 100px;
	}
}

/* Garantindo que apenas as opções de menu secundário ativo sejam exibidas: */

.tlsb-sidebar-options {
	display: none;
}

.tlsb-sidebar-options.active {
	display: block;
}

/*********************************
 * Itens de menu da barra lateral:
 *********************************/
 
#tlsb-sidebar a {
	display: block;
	text-decoration: none;
	margin-bottom: 2px;
	outline: 0;
}

/* Estilos para o menu de primeiro nível */

#tlsb-sidebar #tlsb-sidebar-one a {
	color: #AAAAAA;
	border-radius: 8px 0px 0px 8px;
}

#tlsb-sidebar #tlsb-sidebar-one li[disabled="disabled"] a {
	color: #555555;
}

#tlsb-sidebar #tlsb-sidebar-one a:hover {
    color: #ffffff;
    background: rgba(255,255,255,0.2);
    border-left: #ee3538 2px solid;
}

#tlsb-sidebar #tlsb-sidebar-one li[disabled="disabled"] a:hover {
	color: #555555;
    background: inherit;
    border-left: none;
    cursor: default;
}

#tlsb-sidebar #tlsb-sidebar-one li[disabled="disabled"] a:hover {
}

#tlsb-sidebar #tlsb-sidebar-one li.active a {
	color: #ffffff;
    background-color: #ee3538;
}

#tlsb-sidebar #tlsb-sidebar-one li.active a:hover {
	color: #ffffff;
	background-color: #ff3538;
	border-left: #bbbbbb 2px solid;
}

/* Estilos para o menu de segundo nível */

#tlsb-sidebar #tlsb-sidebar-two a {
	color: #777777;
}

#tlsb-sidebar #tlsb-sidebar-two li[disabled="disabled"] a {
	color: #BBBBBB;
}

#tlsb-sidebar #tlsb-sidebar-two a:hover {
    color: #ffffff;
    background: rgba(0,0,0,0.16);
}

#tlsb-sidebar #tlsb-sidebar-two li[disabled="disabled"] a:hover {
    color: #BBBBBB;
    background-color: inherit;
    cursor: default;
}

#tlsb-sidebar #tlsb-sidebar-two li.active a {
	color: #ffffff;
    background-color: #FE5555;
}

#tlsb-sidebar #tlsb-sidebar-two li.active a:hover {
	color: #ffffff;
	background-color: #FF4545;
}

/**************************************************
 * Botão de controle de expansão do menu primário
 **************************************************/

#tlsb-one-ctrl-btn {
	margin-top: 10px;
	padding: 5px;
	cursor: pointer;
	display: none;
}

@media(max-width:768px){
	#tlsb-one-ctrl-btn {
		display: block;
	}
	
	#tlsb-sidebar-one #tlsb-one-ctrl-btn {
		margin-left: 230px;
	    -webkit-transition: all 0.5s ease;
	    -moz-transition: all 0.5s ease;
	    -o-transition: all 0.5s ease;
	    transition: all 0.5s ease;		
	}
	
	#tlsb-sidebar-one.collapsed #tlsb-one-ctrl-btn {
		margin-left: 30px;
	    -webkit-transition: all 0.5s ease;
	    -moz-transition: all 0.5s ease;
	    -o-transition: all 0.5s ease;
	    transition: all 0.5s ease;		
	}
}

#tlsb-sidebar-one.collapsed #sidebar-one-collapse-icon {
	display: none;
}

#tlsb-sidebar-one.collapsed #sidebar-one-expand-icon {
	display: block;
}

#tlsb-sidebar-one #sidebar-one-collapse-icon {
	display: block;
}

#tlsb-sidebar-one #sidebar-one-expand-icon {
	display: none;
}

/**************************************************
 * Botão de controle de expansão do menu secundário
 **************************************************/

#tlsb-ctrl-btn {
	position: absolute;
	top: 400px;
	right: 0;
	padding: 5px;
	cursor: pointer;
	display: none;
}

@media(min-width:768px){
	#tlsb-ctrl-btn {
		display: block;
	}
}

#tlsb-sidebar #tlsb-sidebar-two.collapsed #tlsb-ctrl-btn {
	display: none;
}

#tlsb-sidebar #tlsb-sidebar-two #tlsb-ctrl-btn #sidebar-collapse-icon {
	display: none;
}

#tlsb-sidebar #tlsb-sidebar-two #tlsb-ctrl-btn #sidebar-pin-icon {
	display: block;
}

#tlsb-sidebar #tlsb-sidebar-two.pinned #tlsb-ctrl-btn #sidebar-collapse-icon {
	display: block;
}

#tlsb-sidebar #tlsb-sidebar-two.pinned #tlsb-ctrl-btn #sidebar-pin-icon {
	display: none;
}

/**********************************
 * Botão de menu em modo smartphone
 **********************************/

#tlsb-menu-toggle {
	border-style: solid;
	border-width: 1px;
	border-radius: 8px;
	border-color: #DDDDDD;
	width: 40px;
	height: 40px;
	line-height: 38px;
	margin-top: 5px;
	margin-left: 10px;
	vertical-align: middle;
	display: none;
}

@media(max-width:768px) {
	#tlsb-menu-toggle {
		display: inline-block;
	}
}

/**********************************
 * Área de conteúdo
 **********************************/

#tlsb-content {
	position: absolute;
	top: 50px;
	bottom: 0;
	left: 0;
	right: 0;
	overflow: auto;
	cursor: inherit;
}

/* Apenas em modo Desktop o comportamento do menu secundário pode ser controlado pelo
   botão lateral que permite travá-lo (pin) ou destravá-lo. Quando travado, empurramos
   a área de conteúdo do site para a direita na largura do total do menu, garantindo
   que o menu não fique sobreposto a ela. Quando destravado, empurramos apenas 100px,
   tamanho que corresponde a largura ocupada pelos menus primário e secundário quando
   compactados.  */

@media(min-width:768px) {
	#tlsb-content.floating-menu {
		margin-left: 100px;
	    -webkit-transition: all 0.5s ease;
	    -moz-transition: all 0.5s ease;
	    -o-transition: all 0.5s ease;
	    transition: all 0.5s ease;	
	}
	
	#tlsb-content.pinned-menu {
		margin-left: 255px;
	}
	
	/* Estilo para ocultar itens menos relevantes, que podem poluir a interface quando o
	   menu encontra-se no estado expandido. */
	#tlsb-content.pinned-menu *.tlsb-suppressible {
		display: none;
	}	
}
